Bug 864782 - Could not initialize CNIC UIO device for the BCM57711 TOE
Could not initialize CNIC UIO device for the BCM57711 TOE
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: iscsi-initiator-utils (Show other bugs)
18
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Chris Leech
Fedora Extras Quality Assurance
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-10 02:15 EDT by Xiaowei Li
Modified: 2015-01-26 19:10 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:31:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
iscsi.log (59.40 KB, text/plain)
2012-10-10 02:18 EDT, Xiaowei Li
no flags Details

  None (edit)
Description Xiaowei Li 2012-10-10 02:15:40 EDT
Description of problem:


Version-Release number of selected component (if applicable):
# lspci -nn | grep -i bcm
1a:00.0 Ethernet controller [0200]: Broadcom Corporation NetXtreme II BCM57711 10-Gigabit PCIe [14e4:164f]
1a:00.1 Ethernet controller [0200]: Broadcom Corporation NetXtreme II BCM57711 10-Gigabit PCIe [14e4:164f]
# rpm -q kernel
kernel-3.5.5-2.fc17.x86_64
kernel-3.6.0-3.fc18.x86_64
# rpm -qa|grep iscsi
iscsi-initiator-utils-6.2.0.872-19.fc18.x86_64

How reproducible:


Steps to Reproduce:
1.# iscsiadm -m iface
default tcp,<empty>,<empty>,<empty>,<empty>
iser iser,<empty>,<empty>,<empty>,<empty>
bnx2i.00:10:18:a6:fc:7d bnx2i,00:10:18:a6:fc:7d,0.0.0.0,<empty>,<empty>
bnx2i.00:10:18:a6:fc:7f bnx2i,00:10:18:a6:fc:7f,0.0.0.0,<empty>,<empty>

2.# iscsiadm -m discovery -t st -p na3170b.lab.bos.redhat.com -I bnx2i.00:10:18:a6:fc:7f --debug=9
====snip===
iscsiadm: broadcasting to uip

iscsiadm: connected to uIP daemon
iscsiadm: send iface config to uIP daemon
iscsiadm: Broadcasted to uIP with length: 9112 cmd: 0x1 rsp: 0x5

iscsiadm: Device is not ready

iscsiadm: Could not set host net params (err 27)

iscsiadm: in ctldev_close
iscsiadm: Connection to discovery portal 10.16.41.222 failed: internal error
iscsiadm: connection login retries (reopen_max) 5 exceeded
iscsiadm: Could not perform SendTargets discovery: internal error

3. check the /var/log/iscsiuio.log, it is increasing fast by the following 5 lines.
===
INFO  [Tue Oct 09 22:14:50 2012]bnx2x p2p2: Unsupported bnx2x driver [1.72]
ERR   [Tue Oct 09 22:14:50 2012]nic p2p2: Could not initialize CNIC UIO device
INFO  [Tue Oct 09 22:14:50 2012]bnx2x p2p2: bnx2x driver using version 1.72.51
INFO  [Tue Oct 09 22:14:50 2012]Done capturing /sys/class/uio/uio1/device/resource
INFO  [Tue Oct 09 22:14:50 2012]Done capturing /sys/class/uio/uio1/event
===

# ls -lh /var/log/iscsiuio.log
-rw-r--r--. 1 root root 1.7G Oct  9 22:13 /var/log/iscsiuio.log
=== sleep 30s ===
# ls -lh /var/log/iscsiuio.log 
-rw-r--r--. 1 root root 1.8G Oct  9 22:13 /var/log/iscsiuio.log

  
Actual results:


Expected results:


Additional info:
Comment 1 Xiaowei Li 2012-10-10 02:18:18 EDT
I use kernel-3.6.0-3.fc18.x86_64 & iscsi-initiator-utils-6.2.0.872-19.fc18.x86_64 for testing. attaching the debug log.
Comment 2 Xiaowei Li 2012-10-10 02:18:57 EDT
Created attachment 624607 [details]
iscsi.log
Comment 3 Xiaowei Li 2012-11-14 04:00:58 EST
any comments?
Comment 4 Eddie Wai 2013-07-02 18:15:10 EDT
The snippet of the iscsiuio.log suggests that the iscsiuio included in the iscsi-initiator-utils-6.2.0.872-19.fc18.x86_64 package might have been very old.  Can you dump the version of it (brcm_iscsiuio -v or iscsiuio -v)?

I would recommend upgrading the iscsi-initiator-utils package as the kernel specified is a lot more recent.

Eddie
Comment 5 Fedora End Of Life 2013-12-21 04:05:40 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2014-02-05 07:31:59 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.